TYPOS3.Flow - Bug # 32346

Status: Resolved Priority: Must have
Author: Robert Lemke Category: - Testing -
Created: 2011-12-06 Assigned To: Robert Lemke
Updated: 2011-12-21 Due date:

PHP Version: 5.3

Has patch: No

Complexity: medium

Affected Flow version: Git master

Subject: allObjectsPersisted is not triggered after each test

Description

The tearDown() method of the base functional test case clears the persistence manager's state so it is ready for the next test, avoiding

side effects.

However, certain repositories (such as the TYPO3CR NodeRepository) rely on the signal "allObjectsPersisted" which triggers their

internal cleanup function. If this signal is not, sent, the next test will still see added objects stored directly in the repository.

The solution is to call persistAll() in the tearDown() method, even if the just executed test doesn't require it.

Associated revisions

Revision 46646d81 - 2011-12-09 15:16 - Robert Lemke

[BUGFIX] Trigger allObjectsPersisted after every functional test

The tearDown() method of the base functional test case clears the
persistence manager's state so it is ready for the next test, avoiding
side effects.

However, certain repositories (such as the TYPO3CR NodeRepository) rely
on the signal "allObjectsPersisted" which triggers their internal
cleanup function. If this signal is not, sent, the next test will still

see added objects stored directly in the repository.

The solution is to call persistAll() in the tearDown() method, even if
the just executed test doesn't require it.

Change-Id: 181febe963609d7214055331b693a964d92ac1e55

Fixes: #32346

Releases: 1.1, 1.0

Revision 36a893c2 - 2011-12-13 15:31 - Robert Lemke

[BUGFIX] Trigger allObjectsPersisted after every functional test

The tearDown() method of the base functional test case clears the

persistence manager's state so it is ready for the next test, avoiding
side effects.
However, certain repositories (such as the TYPO3CR NodeRepository) rely
on the signal "allObjectsPersisted" which triggers their internal

cleanup function. If this signal is not, sent, the next test will still

see added objects stored directly in the repository.

The solution is to call persistAll() in the tearDown() method, even if
the just executed test doesn't require it.

Change-Id: Ib0fe4f2f9cd56bc62fad8fe4fabee545fbc15aee

Fixes: #32346
Releases: 1.1, 1.0

History

#1 - 2011-12-06 19:22 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/7093

#2 - 2011-12-09 15:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7093

#3 - 2011-12-09 19:05 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:46646d8153185d899626107c1b55e7db30f8fcf2.

#4 - 2011-12-13 15:22 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7242

#5 - 2011-12-13 15:25 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http:/review.typo3.org/7242

#6 - 2011-12-13 15:31 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7242

#7 - 2011-12-19 22:06 - Robert Lemke
- Status changed from Under Review to Resolved

Applied in changeset commit:36a893c22e774810d0511797ab4d989531342f67.

#8 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
